function onBegin()
    local knightNum = tonumber(string.sub(bossID, -1))
    makeUnskippable()
    if knightNum == 1 then
        setFlag("watcher_start", false)
        setFlag("WatcherEntranceGate", true)
        setFlag("WatcherExitGate", false)
    end
	playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/Infection", puppet.Position)
    playPuppetAnim("infect")
    wait(3.4)
	playMusic("event:/CC/CC_HollowKnight/DecisiveBattle")
	playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/THK_StartScream")
	puppet.Depth = -1
    playPuppetAnim("awake")
    wait(0.9)
    playPuppetAnim("idle")
    setFlag("turn_" .. knightNum, true)
    wait(1)
    --if knightNum == 1 then
		--miniTextbox("title")
    --end
end

function onEnd()
    enableCollisions()
    enableMovement()
    startNextAttackPattern()
end